BackportEnglish (Apache Tomcat 11.0.23 API Documentation)
Description: declaration: package: org.apache.tomcat.buildutil.translate, class: BackportEnglish

# Class BackportEnglish

java.lang.Object
org.apache.tomcat.buildutil.translate.BackportBase
org.apache.tomcat.buildutil.translate.BackportEnglish

public class BackportEnglish extends BackportBase
Generates a set of English property files to back-port updates to a previous version. Where a key exists in the source and target versions the value is copied from the source to the target, overwriting the value in the target. The expectation is that the changes will be manually reviewed before committing them.

- ## Field Summary

  ### Fields inherited from class BackportBase

  `sourceEnglish, sourceTranslations, storageDir, targetEnglish, targetRoot, targetTranslations`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BackportEnglish(String[] args)`
  Constructs a BackportEnglish instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `execute()`
  Executes the back-port operation.
  `static void`
  `main(String... args)`
  Entry point for the English back-port tool.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BackportEnglish

    protected BackportEnglish(String[] args) throws IOException
    Constructs a BackportEnglish instance.
    Parameters:
      `args` - command line arguments; a single argument specifying the target directory
    Throws:
      `IOException` - if an I/O error occurs

- ## Method Details

  - ### main

    public static void main(String... args) throws IOException
    Entry point for the English back-port tool.
    Parameters:
      `args` - command line arguments; a single argument specifying the target directory
    Throws:
      `IOException` - if an I/O error occurs

  - ### execute

    protected void execute() throws IOException
    Description copied from class: `BackportBase`
    Executes the back-port operation.
    Specified by:
      `execute` in class `BackportBase`
    Throws:
      `IOException` - if an I/O error occurs